<html>
<head>
<title>OgreGLXWindow.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_5bc5f2f46c6364f2594540d45df3d051.html">GL</a>      </li>
      <li class="navelem"><a class="el" href="dir_f7b8a29f58b064e3a63f570f2fc89729.html">include</a>      </li>
      <li class="navelem"><a class="el" href="dir_222f5522bf7ba01b34ef163cdd511470.html">GLX</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreGLXWindow.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreGLXWindow_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __GLXWindow_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __GLXWindow_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderWindow_8h.html">OgreRenderWindow.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreGLXContext_8h.html">OgreGLXContext.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreGLXGLSupport_8h.html">OgreGLXGLSupport.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &lt;X11/Xlib.h&gt;</span>
<a name="l00036"></a>00036 
<a name="l00037"></a>00037 <span class="keyword">namespace </span>Ogre 
<a name="l00038"></a>00038 {
<a name="l00039"></a><a class="code" href="classOgre_1_1GLXWindow.html">00039</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1GLXWindow.html">GLXWindow</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>
<a name="l00040"></a>00040     {
<a name="l00041"></a>00041     <span class="keyword">public</span>:
<a name="l00042"></a>00042         <a class="code" href="classOgre_1_1GLXWindow.html">GLXWindow</a>(<a class="code" href="classOgre_1_1GLXGLSupport.html">GLXGLSupport</a>* glsupport);
<a name="l00043"></a>00043         ~<a class="code" href="classOgre_1_1GLXWindow.html">GLXWindow</a>();
<a name="l00044"></a>00044         
<a name="l00045"></a>00045         <span class="keywordtype">void</span> create(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height,
<a name="l00046"></a>00046                     <span class="keywordtype">bool</span> fullScreen, <span class="keyword">const</span> <a class="code" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19" title="Name / value parameter pair (first = name, second = value)">NameValuePairList</a> *miscParams);
<a name="l00047"></a>00047         
<a name="l00049"></a>00049         <span class="keywordtype">void</span> setFullscreen (<span class="keywordtype">bool</span> fullscreen, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> width, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> height);
<a name="l00050"></a>00050         
<a name="l00052"></a>00052         <span class="keywordtype">void</span> destroy(<span class="keywordtype">void</span>);
<a name="l00053"></a>00053         
<a name="l00055"></a>00055         <span class="keywordtype">bool</span> isClosed(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00056"></a>00056         
<a name="l00058"></a>00058         <span class="keywordtype">bool</span> isVisible(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00059"></a>00059         
<a name="l00061"></a>00061         <span class="keywordtype">void</span> setVisible(<span class="keywordtype">bool</span> visible);
<a name="l00062"></a>00062 
<a name="l00064"></a><a class="code" href="classOgre_1_1GLXWindow.html#ae77bf4f861939dcf4d3234d300024098">00064</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1GLXWindow.html#ae77bf4f861939dcf4d3234d300024098">isHidden</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mHidden; }
<a name="l00065"></a>00065 
<a name="l00067"></a>00067         <span class="keywordtype">void</span> setHidden(<span class="keywordtype">bool</span> hidden);
<a name="l00068"></a>00068 
<a name="l00070"></a>00070         <span class="keywordtype">void</span> setVSyncEnabled(<span class="keywordtype">bool</span> vsync);
<a name="l00071"></a>00071 
<a name="l00073"></a>00073         <span class="keywordtype">bool</span> isVSyncEnabled() <span class="keyword">const</span>;
<a name="l00074"></a>00074 
<a name="l00076"></a>00076         <span class="keywordtype">void</span> setVSyncInterval(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> interval);
<a name="l00077"></a>00077 
<a name="l00079"></a>00079         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> getVSyncInterval() <span class="keyword">const</span>;
<a name="l00080"></a>00080         
<a name="l00082"></a>00082         <span class="keywordtype">void</span> reposition(<span class="keywordtype">int</span> left, <span class="keywordtype">int</span> top);
<a name="l00083"></a>00083         
<a name="l00085"></a>00085         <span class="keywordtype">void</span> resize(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height);
<a name="l00086"></a>00086 
<a name="l00088"></a>00088         <span class="keywordtype">void</span> windowMovedOrResized();
<a name="l00089"></a>00089         
<a name="l00091"></a>00091         <span class="keywordtype">void</span> swapBuffers(<span class="keywordtype">bool</span> waitForVSync);
<a name="l00092"></a>00092         
<a name="l00094"></a>00094         <span class="keywordtype">void</span> copyContentsToMemory(<span class="keyword">const</span> <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a> &amp;dst, FrameBuffer buffer);
<a name="l00095"></a>00095         
<a name="l00105"></a>00105         <span class="keywordtype">void</span> getCustomAttribute(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">void</span>* pData);
<a name="l00106"></a>00106         
<a name="l00107"></a><a class="code" href="classOgre_1_1GLXWindow.html#a89ad692a628b8b2719ce71b7dd531236">00107</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1GLXWindow.html#a89ad692a628b8b2719ce71b7dd531236">requiresTextureFlipping</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="keyword">false</span>; }
<a name="l00108"></a>00108 
<a name="l00109"></a>00109     <span class="keyword">private</span>:
<a name="l00110"></a><a class="code" href="classOgre_1_1GLXWindow.html#a4f7b5e677949850e5667ee8cffa2bc9b">00110</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1GLXWindow.html#a4f7b5e677949850e5667ee8cffa2bc9b">mClosed</a>;
<a name="l00111"></a><a class="code" href="classOgre_1_1GLXWindow.html#a2137c93875b46177c14d4e6cf352c569">00111</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1GLXWindow.html#a2137c93875b46177c14d4e6cf352c569">mVisible</a>;
<a name="l00112"></a><a class="code" href="classOgre_1_1GLXWindow.html#af3eb55b8e0c21107bdd794b7053cf46b">00112</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1GLXWindow.html#af3eb55b8e0c21107bdd794b7053cf46b">mHidden</a>;
<a name="l00113"></a><a class="code" href="classOgre_1_1GLXWindow.html#ac1fe2988a37dd3a920f7436471205234">00113</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1GLXWindow.html#ac1fe2988a37dd3a920f7436471205234">mIsTopLevel</a>;
<a name="l00114"></a><a class="code" href="classOgre_1_1GLXWindow.html#ab02ea89af8355e36a4db8d8f5caf737f">00114</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1GLXWindow.html#ab02ea89af8355e36a4db8d8f5caf737f">mIsExternal</a>;
<a name="l00115"></a><a class="code" href="classOgre_1_1GLXWindow.html#ac7f2b2ce8c72566d95bfe4fa8d3c0966">00115</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1GLXWindow.html#ac7f2b2ce8c72566d95bfe4fa8d3c0966">mIsExternalGLControl</a>;
<a name="l00116"></a><a class="code" href="classOgre_1_1GLXWindow.html#a03ea511742cb0711bc60113a33b745dc">00116</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1GLXWindow.html#a03ea511742cb0711bc60113a33b745dc">mVSync</a>;
<a name="l00117"></a><a class="code" href="classOgre_1_1GLXWindow.html#a5775b985733040f3bf52e4a9f20b4700">00117</a>         <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1GLXWindow.html#a5775b985733040f3bf52e4a9f20b4700">mVSyncInterval</a>;
<a name="l00118"></a>00118         
<a name="l00119"></a><a class="code" href="classOgre_1_1GLXWindow.html#ade3b10f1e3ac4560e4e326a16336cf40">00119</a>         <a class="code" href="classOgre_1_1GLXGLSupport.html">GLXGLSupport</a>* <a class="code" href="classOgre_1_1GLXWindow.html#ade3b10f1e3ac4560e4e326a16336cf40">mGLSupport</a>;
<a name="l00120"></a><a class="code" href="classOgre_1_1GLXWindow.html#aafc86f54b358bbb604d1635a71480bcf">00120</a>         ::Window      <a class="code" href="classOgre_1_1GLXWindow.html#aafc86f54b358bbb604d1635a71480bcf">mWindow</a>;
<a name="l00121"></a><a class="code" href="classOgre_1_1GLXWindow.html#a5a988da978d6525d7ec74c3134c5f789">00121</a>         <a class="code" href="classOgre_1_1GLXContext.html">GLXContext</a>*   <a class="code" href="classOgre_1_1GLXWindow.html#a5a988da978d6525d7ec74c3134c5f789">mContext</a>;
<a name="l00122"></a>00122         <span class="keywordtype">void</span> switchFullScreen(<span class="keywordtype">bool</span> fullscreen);
<a name="l00123"></a>00123     };
<a name="l00124"></a>00124 }
<a name="l00125"></a>00125 
<a name="l00126"></a>00126 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:50
</p>
</body>
</html>
